package com.tofly.xrtygis.custom.mapper;

import com.tofly.xrtygis.custom.entity.vo.WaterVo;
import org.springframework.data.repository.query.Param;

import java.util.List;

/**
 * 制水成本
 * @author 陈浩
 */
public interface WaterCostMapper {
    /**
     * 查询预算制水相关信息
     * @param month 月份
     * @return map
     */
    WaterVo budgetByMonth(@Param("month") String month);

    WaterVo financeByMonth(@Param("month") String month);

    /**
     * 制水指标月份实际值
     * @param month 月份
     * @return list
     */
    WaterVo realWaterCost(@Param("month") String month);

    /**
     * 查询制水指标该月份数据
     * @param month 月份
     * @return list
     */
    List<WaterVo> viewWater(@Param("month") String month);

    /**
     * 获取某一天的非财务填报信息
     * @param day 天
     * @return  long
     */
    Long getInfoByDay(@Param("name") String name,@Param("day") String day,@Param("mark") String mark);
}
